| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Научите правильно пользоваться выбором элементов

Научите правильно пользоваться выбором элементов

Ответ
Поиск в этой теме
Непрочитано 29.06.2012, 20:27 #1
Научите правильно пользоваться выбором элементов
SNIIP
 
Регистрация: 04.05.2010
Сообщений: 338

вобщем есть набор функций ent*
прочитав описание каждой функции так и не придумал как же легче всего выбрать:
1) например n последних нарисованных элементов
2) копирую или зеркалю например n элементов как запомнить сразу все вновь созданные элементы?
Просмотров: 3125
 
Непрочитано 29.06.2012, 20:37
#2
Дима_

Продуман
 
Регистрация: 22.02.2007
Питер
Сообщений: 2,843


Беда в том, что тебе надо научиться правильно их создавать (т.е. не командными методами). Тогда и вопрос отпадет сам собой.
__________________
Когда в руках молоток все вокруг кажется гвоздями.
Дима_ вне форума  
 
Непрочитано 29.06.2012, 20:44
#3
gomer

строю, ломаю
 
Регистрация: 03.04.2008
Украина
Сообщений: 5,550


SNIIP, вы не здесь учитесь?
gomer вне форума  
 
Непрочитано 29.06.2012, 20:55
#4
hwd

C, C++, C#
 
Регистрация: 07.10.2009
С-Пб.
Сообщений: 2,762
Отправить сообщение для hwd с помощью Skype™


SNIIP, это случаем не вы у доски в школе, выше обозначенной гомером?

Миниатюры
Нажмите на изображение для увеличения
Название: Юзай поиск.png
Просмотров: 2311
Размер:	403.4 Кб
ID:	83068  
__________________
Надеюсь, ты не социальный овощ? Это определяется делами! :welcome:
hwd вне форума  
 
Автор темы   Непрочитано 30.06.2012, 07:03
#5
SNIIP


 
Регистрация: 04.05.2010
Сообщений: 338


Дима_, а как это правильно создавать? (учили только командными)

учусь не там... да в той теме я так и не заметил ответа... кроме первого сообщения
Цитата:
Пробежать entnext'ом с самого начала, удалить и восстановить 3 entlast'а, если под чертежом подразумевается только модель - последние 3 элемента соответствующей коллекции.
первые 2 идеи скорее всего длинющщие по коду... или нет???
но вот больше всего заинтересовала идея с " соответсвующей коллекцией" это что за диковеная вещь такая?
SNIIP вне форума  
 
Непрочитано 30.06.2012, 09:57
#6
Олег (jr.)

специалист по околачиванию грушевых деревьев
 
Регистрация: 14.09.2004
Pietari, Venäjä
Сообщений: 813


Пробуй
Код:
[Выделить все]
(defun C:cmir(/ curset mark sset)
(princ "\nВыбрать объекты: ")
(setq curset (ssget))
  ;Ставим маркер на последний созданный объект чертежа
(setq mark (entlast))
 ;; Выполняем некую команду, например отразить
(command "_mirror" curset "" pause pause "_N")
  ;; Создаем пустой набор выбора
(setq sset (ssadd mark))
   ;; Собираем все созданные после маркера объекты в набор выбора
(while (setq mark (entnext mark))
(ssadd  mark sset)
);while
  ;; Выполняем некую команду над этими объектами
(command "_move" sset "" pause pause)
  (princ)
);cmir
~'o'~
Олег (jr.) вне форума  
 
Непрочитано 30.06.2012, 10:48
#7
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,888
<phrase 1= Отправить сообщение для VVA с помощью Skype™


SNIIP, Похожая тема Отслеживание объектов появившихся после pasteclip
Там то же, что предложил Олег (jr.), но оформленное в виде функций
__________________
Как использовать код на Лиспе читаем здесь
VVA вне форума  
 
Непрочитано 30.06.2012, 12:28
#8
Дима_

Продуман
 
Регистрация: 22.02.2007
Питер
Сообщений: 2,843


Цитата:
Сообщение от SNIIP Посмотреть сообщение
Дима_, а как это правильно создавать? (учили только командными)...
первые 2 идеи скорее всего длинющщие по коду... или нет???
но вот больше всего заинтересовала идея с " соответсвующей коллекцией" это что за диковеная вещь такая?
1. Создавать прмитивы можно(нужно) функцией entmakex, либо через vla-методы (справка в автокаде и на форуме).
2. Вот пример 1-го "длинного" кода (возращает 3 последние примитива):
Код:
[Выделить все]
 (defun last3()
  ((lambda (frec) (frec () () () (entnext)))
   (lambda (e1 e2 e3 ent)
     (if ent (frec e2 e3 ent (entnext ent))
             (list e1 e2 e3)))))
3. Это относиться к vla-методам
Код:
[Выделить все]
 (vla-get-modelspace (vla-get-activedocument (vlax-get-acad-object)))
вернет коллекцию объектов пространства модели, как с ней работать - в справку автокада.
__________________
Когда в руках молоток все вокруг кажется гвоздями.
Дима_ вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Научите правильно пользоваться выбором элементов

Система Техэксперт дает уверенность в правильности и эффективности принимаемых инженерных решений!
Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Вопросы новичка по ЛИРЕ чучело-мяучело Лира / Лира-САПР 2770 23.01.2015 10:07
scribd.com - как правильно пользоваться? kp+ Разное 2 27.01.2012 11:53
Научите пользоваться Лира Vitamin C Лира / Лира-САПР 7 19.01.2012 15:42
Научите правильно чертить Dr_Zlo AutoCAD 112 03.03.2009 08:31